
set(PLATFORM_UNIT_TEST_FILES)
if(UNIX)
    find_package(Freetype QUIET)
    if(Freetype_FOUND)
    set(PLATFORM_UNIT_TEST_FILES
        fonts/TestFreeTypeFontEngine.cpp
    )    
    endif()
endif()


set(FONTS_UNIT_TEST_FILES 
        fonts/TestFontReader.cpp
        ${PLATFORM_UNIT_TEST_FILES}
    PARENT_SCOPE
    )
    
set(FONTS_UNIT_TEST_DEPENDENCIES 
        fonts
    PARENT_SCOPE
    )